# Fetching Mapper

The `fetch_mapper` method in the **Cataloglake** allows you to retrieve the details of an existing metadata mapper using its unique identifier (`metadata_mapper_id`). This method is useful for querying the configuration or structure of a previously created mapper.

**Payload Example**

```python
fetch_mapper_payload = {
    "metadata_mapper_id": "287b05a6-ff14-4b5f-a81d-f247b5bffcdd"
}
```

Usage example

```python
fetch_mapper = cataloglake.fetch_mapper(fetch_mapper_payload)
print(fetch_mapper)
```

Example Response

```json
{
  "metadata_mapper_id": "287b05a6-ff14-4b5f-a81d-f247b5bffcdd",
  "mapper_name": "",
  "metadata_keymap": [
    {
      "address of manufacturer": "manufacturer_address",
      "fssai number": "None",
      "marketing_fssai_num": "marketing_fssai_number",
      "fabric_colour": "fssai_number"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groclake.ai/lakes/index-stores/cataloglake/fetching-mapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
